Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# PortableServerC.h File Reference

`#include "ace/config-all.h"`
`#include "portableserver_export.h"`
`#include "tao/ORB.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`
`#include "tao/Policy_ForwardC.h"`
`#include "tao/OctetSeqC.h"`
`#include "tao/orb_typesC.h"`
`#include "tao/PortableServer/PS_ForwardC.h"`
`#include "tao/PortableServer/IdAssignmentPolicyC.h"`
`#include "tao/PortableServer/IdUniquenessPolicyC.h"`
`#include "tao/PortableServer/ImplicitActivationPolicyC.h"`
`#include "tao/PortableServer/RequestProcessingPolicyC.h"`
`#include "tao/PortableServer/ServantRetentionPolicyC.h"`
`#include "tao/PortableServer/ThreadPolicyC.h"`
`#include "tao/PortableServer/LifespanPolicyC.h"`

Include dependency graph for PortableServerC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | PortableServer
namespace | TAO
## Classes
class | PortableServer::POAList
interface | PortableServer::POA
exception | PortableServer::POA::AdapterAlreadyExists
exception | PortableServer::POA::AdapterNonExistent
exception | PortableServer::POA::InvalidPolicy
exception | PortableServer::POA::NoServant
exception | PortableServer::POA::ObjectAlreadyActive
exception | PortableServer::POA::ObjectNotActive
exception | PortableServer::POA::ServantAlreadyActive
exception | PortableServer::POA::ServantNotActive
exception | PortableServer::POA::WrongAdapter
exception | PortableServer::POA::WrongPolicy
struct | TAO::Objref_Traits< ::PortableServer::POAManager >
struct | TAO::Objref_Traits< ::PortableServer::AdapterActivator >
struct | TAO::Objref_Traits< ::PortableServer::ServantManager >
struct | TAO::Objref_Traits< ::PortableServer::POA >
## Defines
#define | TAO_EXPORT_MACRO TAO_PortableServer_Export
#define | _PORTABLESERVER_POALIST_CH_
#define | _PORTABLESERVER_POAMANAGER__VAR_OUT_CH_
#define | _PORTABLESERVER_ADAPTERACTIVATOR__VAR_OUT_CH_
#define | _PORTABLESERVER_SERVANTMANAGER__VAR_OUT_CH_
#define | _PORTABLESERVER_POA_CH_
#define | _PORTABLESERVER_POA_ADAPTERALREADYEXISTS_CH_
#define | _PORTABLESERVER_POA_ADAPTERNONEXISTENT_CH_
#define | _PORTABLESERVER_POA_INVALIDPOLICY_CH_
#define | _PORTABLESERVER_POA_NOSERVANT_CH_
#define | _PORTABLESERVER_POA_OBJECTALREADYACTIVE_CH_
#define | _PORTABLESERVER_POA_OBJECTNOTACTIVE_CH_
#define | _PORTABLESERVER_POA_SERVANTALREADYACTIVE_CH_
#define | _PORTABLESERVER_POA_SERVANTNOTACTIVE_CH_
#define | _PORTABLESERVER_POA_WRONGADAPTER_CH_
#define | _PORTABLESERVER_POA_WRONGPOLICY_CH_
#define | _PORTABLESERVER_POAMANAGER__TRAITS_
#define | _PORTABLESERVER_ADAPTERACTIVATOR__TRAITS_
#define | _PORTABLESERVER_SERVANTMANAGER__TRAITS_
#define | _PORTABLESERVER_POA__TRAITS_
## Typedefs
typedef TAO_MngSeq_Var_T< POAList, TAO_Object_Manager< POA, POA_var > > | POAList_var
typedef TAO_MngSeq_Out_T< POAList, POAList_var, TAO_Object_Manager< POA, POA_var > > | POAList_out
typedef ServantManager * | ServantManager_ptr
typedef TAO_Objref_Var_T< ServantManager > | ServantManager_var
typedef TAO_Objref_Out_T< ServantManager > | ServantManager_out
## Functions
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POAList &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POAList *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POAList *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POAList *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA_ptr)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA_ptr *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA_ptr &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::AdapterAlreadyExists &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::AdapterAlreadyExists *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::AdapterAlreadyExists *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::AdapterAlreadyExists *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::AdapterNonExistent &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::AdapterNonExistent *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::AdapterNonExistent *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::AdapterNonExistent *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::InvalidPolicy &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::InvalidPolicy *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::InvalidPolicy *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::InvalidPolicy *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::NoServant &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::NoServant *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::NoServant *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::NoServant *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::ObjectAlreadyActive &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::ObjectAlreadyActive *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::ObjectAlreadyActive *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::ObjectAlreadyActive *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::ObjectNotActive &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::ObjectNotActive *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::ObjectNotActive *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::ObjectNotActive *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::ServantAlreadyActive &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::ServantAlreadyActive *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::ServantAlreadyActive *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::ServantAlreadyActive *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::ServantNotActive &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::ServantNotActive *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::ServantNotActive *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::ServantNotActive *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::WrongAdapter &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::WrongAdapter *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::WrongAdapter *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::WrongAdapter *&)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, const PortableServer::POA::WrongPolicy &)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, PortableServer::POA::WrongPolicy *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableServer::POA::WrongPolicy *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableServer::POA::WrongPolicy *&)

## Define Documentation

#define _PORTABLESERVER_ADAPTERACTIVATOR__TRAITS_

#define _PORTABLESERVER_ADAPTERACTIVATOR__VAR_OUT_CH_

#define _PORTABLESERVER_POA__TRAITS_

#define _PORTABLESERVER_POA_ADAPTERALREADYEXISTS_CH_

#define _PORTABLESERVER_POA_ADAPTERNONEXISTENT_CH_

#define _PORTABLESERVER_POA_CH_

#define _PORTABLESERVER_POA_INVALIDPOLICY_CH_

#define _PORTABLESERVER_POA_NOSERVANT_CH_

#define _PORTABLESERVER_POA_OBJECTALREADYACTIVE_CH_

#define _PORTABLESERVER_POA_OBJECTNOTACTIVE_CH_

#define _PORTABLESERVER_POA_SERVANTALREADYACTIVE_CH_

#define _PORTABLESERVER_POA_SERVANTNOTACTIVE_CH_

#define _PORTABLESERVER_POA_WRONGADAPTER_CH_

#define _PORTABLESERVER_POA_WRONGPOLICY_CH_

#define _PORTABLESERVER_POALIST_CH_

#define _PORTABLESERVER_POAMANAGER__TRAITS_

#define _PORTABLESERVER_POAMANAGER__VAR_OUT_CH_

#define _PORTABLESERVER_SERVANTMANAGER__TRAITS_

#define _PORTABLESERVER_SERVANTMANAGER__VAR_OUT_CH_

#define TAO_EXPORT_MACRO TAO_PortableServer_Export

## Typedef Documentation

typedef TAO_MngSeq_Out_T< POAList, POAList_var, TAO_Object_Manager< POA, POA_var > > PortableServer::POAList_out

typedef TAO_MngSeq_Var_T< POAList, TAO_Object_Manager< POA, POA_var > > PortableServer::POAList_var

typedef TAO_Objref_Out_T< ServantManager > PortableServer::ServantManager_out

typedef ServantManager * PortableServer::ServantManager_ptr

typedef TAO_Objref_Var_T< ServantManager > PortableServer::ServantManager_var

## Function Documentation

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::WrongPolicy * |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::WrongPolicy & |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::WrongAdapter * |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::WrongAdapter & |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::ServantNotActive * |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::ServantNotActive & |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::ServantAlreadyActive * |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::ServantAlreadyActive & |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::ObjectNotActive * |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::ObjectNotActive & |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::ObjectAlreadyActive * |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::ObjectAlreadyActive & |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::NoServant * |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::NoServant & |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::InvalidPolicy * |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::InvalidPolicy & |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::AdapterNonExistent * |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::AdapterNonExistent & |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA::AdapterAlreadyExists * |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POA::AdapterAlreadyExists & |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA_ptr * |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POA_ptr |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableServer::POAList * |
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableServer::POAList & |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::WrongPolicy *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::WrongPolicy *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::WrongAdapter *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::WrongAdapter *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::ServantNotActive *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::ServantNotActive *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::ServantAlreadyActive *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::ServantAlreadyActive *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::ObjectNotActive *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::ObjectNotActive *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::ObjectAlreadyActive *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::ObjectAlreadyActive *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::NoServant *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::NoServant *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::InvalidPolicy *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::InvalidPolicy *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::AdapterNonExistent *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::AdapterNonExistent *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POA::AdapterAlreadyExists *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA::AdapterAlreadyExists *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POA_ptr & |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableServer::POAList *& |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableServer::POAList *& |
| ) |